Skip to main content
PATCH
Edit a proposal

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
expected_version
integer
required
Required range: 1 <= x <= 9007199254740991
input
object
required
target_records
object[]
Maximum array length: 64

Response

200 - application/json

Default Response

uuid
string
required
version
number
required
state
enum<string>
required
Available options:
draft,
proposed,
approved,
executing,
succeeded,
partially_succeeded,
failed,
denied,
canceled,
expired
canonical_action
object
required
input_digest
string
required
input
object | null
required
risk_class
enum<string>
required
Available options:
read,
write,
destructive,
financial,
outbound_communication,
external_side_effect
approval_policy
enum<string>
required
Available options:
none,
configurable,
mandatory
rationale
string | null
required
conversation_uuid
string | null
required
outcome
object | null
required
error_summary
string | null
required
execution_run_uuid
string | null
required
proposed_by_uuid
string | null
required
canceled_by_uuid
string | null
required
cancel_reason
string | null
required
source_host
enum<string>
required
Available options:
buzz,
mcp,
v1,
workflow,
internal
expires_at
string
required
proposed_at
string | null
required
decided_at
string | null
required
started_at
string | null
required
completed_at
string | null
required
parent_uuid
string | null
required
batch_seq
number | null
required
input_scrubbed_at
string | null
presentation
object
batch
object
children
object[]